%global momorel 4
%global md5sum c96861a6143bb11bf553404ac1e279ad

Summary: GNOME IDE for C and C++
Name: anjuta
Version: 2.2.0
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Tools
URL: http://anjuta.sourceforge.net/
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 %{md5sum}
#Source1: http://mikeforce.homelinux.org/gnome/po/anjuta-ja.po
#NoSource: 1
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ORBit2-devel >= 2.14.2
BuildRequires: autogen-devel >= 5.7.3
BuildRequires: binutils >= 2.17.50.0.8-2
BuildRequires: devhelp-devel >= 0.11-2m
BuildRequires: gcc-c++ >= 4.1.1
BuildRequires: gdl-devel >= 0.7.6
BuildRequires: glib-devel >= 2.12.1
BuildRequires: gnome-build-devel >= 0.1.7
BuildRequires: gnome-vfs-devel >= 2.14.2-3m
BuildRequires: graphviz-devel >= 2.12
BuildRequires: gtk+-devel >= 2.8.20
BuildRequires: libglade-devel >= 2.6.0
BuildRequires: libgnome-devel >= 2.14.1
BuildRequires: libgnomeprint-devel >= 2.12.1-4m
BuildRequires: libgnomeprintui-devel >= 2.12.1-3m
BuildRequires: libgnomeui-devel >= 2.14.1-2m
BuildRequires: libxml2-devel >= 2.6.26
BuildRequires: pango-devel >= 1.12.3
BuildRequires: pcre-devel >= 6.3
BuildRequires: scrollkeeper >= 0.3.14
BuildRequires: subversion-devel >= 1.3.1
BuildRequires: httpd-devel >= 2.2.3
BuildRequires: vte-devel >= 0.14.0
BuildRequires: glade3 >= 3.2.2
BuildRequires: neon-devel
BuildRequires: db4-devel >= 4.5.20
BuildRequires: apr-devel >= 1.2.7

%description
Anjuta is a versatile Integrated Development Environment (IDE) for C and C++. 
It has been written for GTK/GNOME, and features a number of advanced 
programming facilities. It is basically a GUI interface for the collection 
of command line programming utilities and tools available for the GNU system. 
These are usually run via a text console, and can be unfriendly to use.

%package docs
Summary: Anjuta docuemntations package.
Group: Development/Tools

%description docs
Anjuta documentations.

%prep
%setup -q

%build
%configure \
	--enable-final \
	--disable-scrollkeeper \
	--with-apr-config=%{_bindir}/apr-1-config \
	--with-apu-config=%{_bindir}/apu-1-config
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall

%__rm -fr %{buildroot}/var/scrollkeeper

# create_global_tags.sh need
%{__mkdir_p} %{buildroot}/usr/share/anjuta/scripts/
%{__cp} global-tags/create_global_tags.sh %{buildroot}/usr/share/anjuta/scripts/

# delete icon-theme.cache
find %{buildroot} -name icon-theme.cache -delete

find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
gtk-update-icon-cache --quiet /usr/share/icons/hicolor

%post docs
scrollkeeper-update

%postun docs
scrollkeeper-update

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/anjuta/*
%{_libdir}/libanjuta*
%{_libdir}/pkgconfig/libanjuta-1.0.pc
%{_includedir}/libanjuta-1.0/*
%{_sysconfdir}/gconf/schemas/anjuta-valgrind.schemas
%{_datadir}/anjuta/*
%{_datadir}/applications/anjuta.desktop
%{_datadir}/pixmaps/anjuta
%{_datadir}/mime/packages/anjuta.xml
%{_datadir}/icons/gnome/48x48/mimetypes/gnome-mime-application-x-anjuta.png
%{_datadir}/icons/gnome/scalable/mimetypes/gnome-mime-application-x-anjuta.svg
%{_datadir}/icons/hicolor/48x48/apps/anjuta.png
%{_datadir}/icons/hicolor/scalable/apps/anjuta.svg
%{_datadir}/locale/*/*/*
%{_datadir}/gnome/help/anjuta-faqs
%{_datadir}/gnome/help/anjuta-manual
%{_datadir}/omf/anjuta-manual
%{_mandir}/man1/*

%files docs
%defattr(-, root, root)
%{_docdir}/anjuta/*
%{_datadir}/gtk-doc/html/*

%changelog
* Fri Jul 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.0-4m)
- add --with-apr-config option to configure

* Thu Jul 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.0-3m)
- add -maxdepth 1 to del .la

* Sat Jun 30 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.2.0-2m)
- add BuildRequires gdl-devel >= 0.7.6, gnome-build-devel >= 0.1.7

* Sat Jun 30 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.0-1m)
- update to 2.2.0 (stable rerease)

* Sat Jun 16 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.1.3-1m)
- update to 2.1.3

* Fri Feb 16 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.1.0-2m)
- disable glade3

* Tue Jan 16 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.1.0-1m)
- update to 2.1.0

* Mon Dec 25 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.2-15m)
- rebuild against graphviz-2.12-1m

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-14m)
- rebuild against binutils-2.17.50.0.8

* Sun Nov 19 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.2-13m)
- rebuild against db4-4.5.20-1m

* Wed Nov 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.2-12m)
- rebuild against graphiz-2.8-4m

* Sat Oct  7 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-11m)
- rebuild against binutils-2.17.50.0.3-3m

* Mon Sep 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.2-10m)
- rebuild against gdl-0.6.1-4m

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.2-9m)
- rebuild against vte-0.14.0

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.0.2-8m)
- rebuild against expat-2.0.0-1m

* Thu Aug 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.2-7m)
- delete libtool library

* Wed Jun 28 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-6m)
- rebuild against binutils-2.17

* Sat Jun 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-5m)
- rebuild against binutils-2.16.94

* Wed Jun  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.2-4m)
- delete duplicated dir and icon-theme.cache

* Wed Jun 01 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.2-3m)
- updated ja.po by the one at http://mikeforce.homelinux.org/

* Thu May 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.2-2m)
- delete duplicate dir

* Tue May 16 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.0.2-1m)
- update to 2.0.2

* Thu May  4 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.1-6m)
- use apr-1,apr-util-1

* Thu Apr 27 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.0.1-5m)
- rebuild against vte-0.12.1

* Sat Jan 14 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.1-4m)
- rebuild against httpd-2.0.55-3m

* Mon Jan  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.1-3m)
- rebuild against db4.3

* Wed Jan  3 2006 YAMAZAKI Makoto <zaki@zakky.org>
- (2.0.1-2m)
- rebuild against neon-0.25.4

* Thu Jun 30 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.0.1-1m)
- update to 2.0.1

* Wed May 18 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.0.0-1m)
- update to 2.0.0

* Mon Feb 14 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.2.2-5m)
- update libdir patch.

* Sat Feb 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.2-4m)
- run auto-brothers

* Mon Feb  7 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.2.2-3m)
- enable x86_64.

* Fri Aug 13 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.2.2-2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Sat May 8 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.2.2-1m)
- initial import
